(function () {
    "use strict";

    angular.module('core').controller('situacaoTributariaDetailController', controller);
    controller.$inject = ['$scope', '$timeout', '$state', '$stateParams', 'situacaoTributariaService'];

    function controller($scope, $timeout, $state, $stateParams, situacaoTributariaService) {
        $scope.initializeLayout('Situação Tributária');

        //[Inicializa objetos]
        $scope.state = {
            item: { ID: decodeURIComponent($stateParams.id) },
            carregando: false,
            vazio: false,
        };

        //[Inicializa funcões]
        $scope.initialize = function () {
            $scope.refresh();
        };

        $scope.get = function () {
            $scope.state.carregando = true;
            $scope.state.vazio = false;
            situacaoTributariaService
                .get($scope.state.item)
                .then(
                    function (response) {
                        if (response.Status < 0) {
                            $scope.tools.toastr.error(response.Message, 'Serviço');
                            console.error(response.Exception);
                        } else {
                            $scope.state.item = response.Data;
                        }
                        $scope.state.carregando = false;
                        $scope.state.vazio = !$scope.state.item;
                    },
                    function (_error) {
                        $scope.state.carregando = false;
                        $scope.tools.toastr.error('Não foi possível acessar o(s) servidor(es)');
                        console.error(_error);
                    }
                );
        };
        $scope.refresh = function () {
            $scope.get();
        };

        /*Inicializa funções*/
        $scope.initialize();

    }

})();